%define module_name	madwifi-ar5007
%define module_version	0.9.4
%define module_release	alt1

%define kversion	2.6.27
%define krelease	alt13.M51.5
%define flavour		ovz-smp

%define norm_version	%kversion

%define module_dir /lib/modules/%kversion-%flavour-%krelease/net

Summary: Modules for Atheros-based WiFi .11a/b/g adapters
Name: kernel-modules-%module_name-%flavour
Version: %module_version
Release: %module_release.132635.13.M51.5
License: Dual: GPL or BSD
Group: System/Kernel and hardware

Packager: Kernel Maintainer Team <kernel@packages.altlinux.org>

ExclusiveOS: Linux
Url: http://www.kernel.org/
BuildRequires: perl sharutils
BuildRequires(pre): rpm-build-kernel
BuildRequires: kernel-source-%module_name = %module_version
BuildRequires: kernel-headers-modules-%flavour = %kversion-%krelease

Provides:  kernel-modules-%module_name-%kversion-%flavour-%krelease = %version-%release
Conflicts: kernel-modules-%module_name-%kversion-%flavour-%krelease < %version-%release
Conflicts: kernel-modules-%module_name-%kversion-%flavour-%krelease > %version-%release
Conflicts: kernel-modules-madwifi-%kversion-%flavour = %version-%release
PreReq: coreutils
PreReq: kernel-image-%flavour = %kversion-%krelease
Requires(postun): kernel-image-%flavour = %kversion-%krelease
ExclusiveArch: %ix86 x86_64
Patch1: madwifi-kernel-2.6.27.patch
%description
This software contains a Linux kernel driver for Atheros-based
Wireless LAN devices.  The driver supports both station and AP modes
of operation.  The driver is actually a port of the BSD Atheros
driver and includes a port of the 802.11 link layer code originally
found in NetBSD.

A full list of product solutions utilizing Atheros chips can be found
at http://www.atheros.com/partners/solutions.html

%prep
rm -rf kernel-source-%module_name-%module_version

tar -jxvf %kernel_src/kernel-source-%module_name-%module_version.tar.bz2

%setup -D -T -n kernel-source-%module_name-%module_version
%if "%kversion" >= "2.6.27"
%patch1 -p1
%endif
%build
. %_usrsrc/linux-%kversion-%flavour/gcc_version.inc
make CC="gcc-$GCC_VERSION" \
%ifarch %ix86
     CC="gcc-$GCC_VERSION -m32" \
%endif
     TARGET=%base_arch-elf TOOLPREFIX= \
     KERNELRELEASE=%kversion-%flavour-%krelease \
     KERNELPATH=%_usrsrc/linux-%kversion-%flavour \
     MODULEPATH=%module_dir 

%install
mkdir -p $RPM_BUILD_ROOT%module_dir/

. %_usrsrc/linux-%kversion-%flavour/gcc_version.inc
make CC=gcc-$GCC_VERSION \
        TARGET=%base_arch-elf TOOLPREFIX= \
	KERNELRELEASE=%kversion-%flavour-%krelease \
	KERNELPATH=%_usrsrc/linux-%kversion-%flavour \
	MODULEPATH=%module_dir \
	DESTDIR=$RPM_BUILD_ROOT install

%post
%post_kernel_modules %kversion-%flavour-%krelease

%postun
%postun_kernel_modules %kversion-%flavour-%krelease

%files
%module_dir

%changelog
* Mon Jan 31 2011 Anton Protopopov <aspsk@altlinux.org> 0.9.4-alt1.132635.13.M51.5
- Build for kernel-image-ovz-smp-2.6.27-alt13.M51.5.

* Wed Jun 18 2008 Michail Yakushin <silicium@altlinux.ru> 0.9.4-alt1
- special version for ar5007 

